Node API
Routers
Section titled “Routers”router→ prefix/api/resource/Node(tags: Node)method_router→ prefix/api/method
Hand-maintained notes against modules/node/router.go. Route inventory (generated): routes.md. Response models (generated): response-models/node.md.
The
shc.node.ls/shc.node.statuslist/status method routes are served by theclustermodule, not here.
Router router
Section titled “Router router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/Node | — |
GET | /api/resource/Node/{name} | — |
The resource surface is read-only. Node membership is created by the enrollment path (
shc node join, seecluster) and removed byshc.cluster.rm/shc.cluster.forget— there is noPOST/PUT/DELETE /api/resource/Node.
GET /api/resource/Node
Section titled “GET /api/resource/Node”- source:
modules/node/router.go
GET /api/resource/Node/{name}
Section titled “GET /api/resource/Node/{name}”- source:
modules/node/router.go
Router method_router
Section titled “Router method_router”| Method | Path | Permission |
|---|---|---|
GET | /api/method/shc.node.config.show | — |
POST | /api/method/shc.node.config.set | platform:manage |
POST | /api/method/shc.node.config.unset | platform:manage |
GET | /api/method/shc.node.deployments | — |
POST | /api/method/shc.node.health | — |
GET | /api/method/shc.node.swarm_tokens | platform:manage |
GET /api/method/shc.node.config.show
Section titled “GET /api/method/shc.node.config.show”- summary: read node-local (pre-DB) config for a node.
- source:
modules/node/router.go
POST /api/method/shc.node.config.set
Section titled “POST /api/method/shc.node.config.set”- summary: set a node-local config key.
- source:
modules/node/router.go
POST /api/method/shc.node.config.unset
Section titled “POST /api/method/shc.node.config.unset”- summary: clear a node-local config key.
- source:
modules/node/router.go
GET /api/method/shc.node.deployments
Section titled “GET /api/method/shc.node.deployments”- source:
modules/node/router.go
POST /api/method/shc.node.health
Section titled “POST /api/method/shc.node.health”- source:
modules/node/router.go
GET /api/method/shc.node.swarm_tokens
Section titled “GET /api/method/shc.node.swarm_tokens”- source:
modules/node/router.go
shc@docs:~$